libglom-1.22 1.22.0

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Glom::LayoutItem_WithFormatting Class Reference

A base class for all layout items that may have formatting options. More...

Inheritance diagram for Glom::LayoutItem_WithFormatting:
[legend]
Collaboration diagram for Glom::LayoutItem_WithFormatting:
[legend]

## Public Member Functions

| LayoutItem_WithFormatting ()
| LayoutItem_WithFormatting (const LayoutItem_WithFormatting& src)
LayoutItem_WithFormatting& | operator= (const LayoutItem_WithFormatting& src)
virtual | ~LayoutItem_WithFormatting ()
bool | operator== (const LayoutItem_WithFormatting& src) const
virtual const Formatting& | get_formatting_used () const
| Get the field formatting used by this layout item, which may be either custom field formatting or the default field formatting.
virtual Formatting::HorizontalAlignment | get_formatting_used_horizontal_alignment (bool for_details_view=false) const
| Get the alignment for the formatting used (see get_formatting_used()), choosing an appropriate alignment if it is set to HORIZONTAL_ALIGNMENT_AUTO.
Public Member Functions inherited from Glom::LayoutItem
| LayoutItem ()
| LayoutItem (const LayoutItem& src)
LayoutItem& | operator= (const LayoutItem& src)
virtual | ~LayoutItem ()
virtual LayoutItem* | clone () const =0
| Create a new copied instance.
bool | operator== (const LayoutItem& src) const
virtual bool | get_editable () const
virtual void | set_editable (bool val=true)
virtual Glib::ustring | get_layout_display_name () const
virtual Glib::ustring | get_part_type_name () const =0
virtual Glib::ustring | get_report_part_id () const
| Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).
guint | get_display_width () const
void | set_display_width (guint value)
void | get_print_layout_position (double& x, double& y, double& width, double& height) const
| This is used only for the print layouts.
void | set_print_layout_position (double x, double y, double width, double height)
| This is used only for the print layouts.
void | set_print_layout_position_y (double y)
| This is used only for the print layouts.
void | set_print_layout_split_across_pages (bool split=true)
| This is used only for the print layouts.
bool | get_print_layout_split_across_pages () const
| This is used only for the print layouts.
Public Member Functions inherited from Glom::TranslatableItem
| TranslatableItem ()
| TranslatableItem (const TranslatableItem& src)
virtual | ~TranslatableItem ()
TranslatableItem& | operator= (const TranslatableItem& src)
bool | operator== (const TranslatableItem& src) const
bool | operator!= (const TranslatableItem& src) const
virtual void | set_name (const Glib::ustring& name)
| Set the non-translated identifier name.
virtual Glib::ustring | get_name () const
| Get the non-translated identifier name.
bool | get_name_not_empty () const
virtual Glib::ustring | get_title_or_name (const Glib::ustring& locale) const
virtual Glib::ustring | get_title (const Glib::ustring& locale) const
| Get the title's translation for the specified locale, falling back to the original text if there is no translation.
virtual Glib::ustring | get_title_original () const
| Get the title's original (non-translated, usually English) text.
Glib::ustring | get_title_translation (const Glib::ustring& locale, bool fallback=true) const
| Get the title's translation for the specified locale, optionally falling back to a locale of the same language, and then falling back to the original.
void | set_title (const Glib::ustring& title, const Glib::ustring& locale)
| Set the title's translation for the specified locale.
void | set_title_original (const Glib::ustring& title)
| Set the title's original (non-translated, usually English) text.
void | clear_title_in_all_locales ()
| Clear the original title and any translations of the title.
bool | get_has_translations () const
enumTranslatableItemType | get_translatable_item_type () const

## Public Attributes

Formatting | m_formatting

## Additional Inherited Members

Public Types inherited from Glom::TranslatableItem

enum

enumTranslatableItemType {
TRANSLATABLE_TYPE_INVALID,
TRANSLATABLE_TYPE_FIELD,
TRANSLATABLE_TYPE_RELATIONSHIP,
TRANSLATABLE_TYPE_LAYOUT_ITEM,
TRANSLATABLE_TYPE_CUSTOM_TITLE,
TRANSLATABLE_TYPE_PRINT_LAYOUT,
TRANSLATABLE_TYPE_REPORT,
TRANSLATABLE_TYPE_TABLE,
TRANSLATABLE_TYPE_BUTTON,
TRANSLATABLE_TYPE_TEXTOBJECT,
TRANSLATABLE_TYPE_IMAGEOBJECT,
TRANSLATABLE_TYPE_CHOICEVALUE,
TRANSLATABLE_TYPE_DATABASE_TITLE
}

typedef std::map < Glib::ustring, Glib::ustring > | type_map_locale_to_translations
Static Public Member Functions inherited from Glom::TranslatableItem
static Glib::ustring | get_translatable_type_name (enumTranslatableItemType item_type)
static Glib::ustring | get_translatable_type_name_nontranslated (enumTranslatableItemType item_type)
| The non-translated name is used for the context in gettext .po files.
Protected Attributes inherited from Glom::TranslatableItem
enumTranslatableItemType | m_translatable_item_type

## Detailed Description

A base class for all layout items that may have formatting options.

See get_formatting_used().

## Constructor & Destructor Documentation

Glom::LayoutItem_WithFormatting::LayoutItem_WithFormatting | ( |  | ) |

Glom::LayoutItem_WithFormatting::LayoutItem_WithFormatting | ( | const LayoutItem_WithFormatting& | src | ) |

virtual Glom::LayoutItem_WithFormatting::~LayoutItem_WithFormatting | ( |  | ) |

virtual

## Member Function Documentation

virtual const Formatting& Glom::LayoutItem_WithFormatting::get_formatting_used | ( |  | ) | const

virtual

Get the field formatting used by this layout item, which may be either custom field formatting or the default field formatting.

Reimplemented in Glom::LayoutItem_Field.

virtual Formatting::HorizontalAlignment Glom::LayoutItem_WithFormatting::get_formatting_used_horizontal_alignment | ( | bool | for_details_view = `false` | ) | const

virtual

Get the alignment for the formatting used (see get_formatting_used()), choosing an appropriate alignment if it is set to HORIZONTAL_ALIGNMENT_AUTO.

Note that this never returns HORIZONTAL_ALIGNMENT_AUTO.

Reimplemented in Glom::LayoutItem_Field.

LayoutItem_WithFormatting& Glom::LayoutItem_WithFormatting::operator= | ( | const LayoutItem_WithFormatting& | src | ) |

bool Glom::LayoutItem_WithFormatting::operator== | ( | const LayoutItem_WithFormatting& | src | ) | const

## Member Data Documentation

Formatting Glom::LayoutItem_WithFormatting::m_formatting

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/layoutitem_withformatting.h